Logo
My Account |  Site Map | Contact Us  
Welcome Guest Search | Active Topics | Sign In | Register

[EO.WebBrowser][17.0.53] CertificateError -214 Options
creality
Posted: Monday, February 13, 2017 7:04:16 AM
Rank: Advanced Member
Groups: Member

Joined: 12/9/2014
Posts: 65
Hi, I'm receiving an error in CertificateError event in new version.

The error is -214, CERTIFICATE_TRANSPARENCY_REQUIRED from Chromium.
At first, you dont have it in your ErrorCode enum.

After googling, it seems is a chromium bug affecting version 53 and 54, and as far i know, 2017 version of webbrowser have Chromium v54.

For bug reference:
Thawte Alert about Certificate Transparency error with Chrome 53 and 54

For now, I "pass" the error:

Code: C#
private void webView_CertificateError(object sender, CertificateErrorEventArgs e)
        {
            if (e.ErrorCode.ToString() == "-214")
            {
                e.Continue();
            }
        }

eo_support
Posted: Monday, February 13, 2017 9:44:56 AM
Rank: Administration
Groups: Administration

Joined: 5/27/2007
Posts: 19,668
Thanks for sharing the findings with us. Your bypassing code is probably the best solution for this issue. As you know, Chromium is a huge project with issues constantly being fixed. So its not practical for us to forward port fixes from a newer version in the middle of our release cycle. As such we expect this to be addressed next time we sync to Chromium's source code.
James
Posted: Monday, June 19, 2017 4:24:43 PM
Rank: Advanced Member
Groups: Member

Joined: 2/11/2015
Posts: 66
Is there an estimate on when the next engine update will be coming?
eo_support
Posted: Monday, June 19, 2017 4:35:16 PM
Rank: Administration
Groups: Administration

Joined: 5/27/2007
Posts: 19,668
Hi,

Currently we are planing to sync to Chromium later this year (Q4). So it will be around year end for this issue to be resolved.

Thanks!


You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.